********************************************************************************
*                                                                              *
*  2DHF version 1-2003                                                         *
*  Copyright (C) 1996  Jacek Kobus, Leif Laaksonen, Dage Sundholm              *
*                                                                              *
*  This software may be used and distributed according to the terms            *
*  of the GNU General Public License, see README and COPYING.                  *
*                                                                              *
********************************************************************************
c ### prtmat ###
c
c     Prints an array into a file.
c
      subroutine prtmat (m,n,a,ioutmat)
      implicit integer*4 (i-n)
      implicit real*8 (a-h,o-z)
      dimension a(m,n)

      do im=1,m
         write(ioutmat,1000) (a(im,in),in=1,n)
      enddo
c     when preparing data for matlab use Ew.d or Fw.d format 
01000 format(500E16.8)
c     01000 format(5F15.6)

      return
      end
